GET /data/user/tasks/{task_id}/time-spents/{date}

Retrieve time spent entries for the current user on a specific task and date. Returns detailed time tracking information.

Path parameters

  • task_id string(uuid) Required

    Task unique identifier

  • date string(date) Required

    Date to get time spent for

Responses

  • 200 application/json

    Time spent entry for the current user on given task and date

    Hide response attributes Show response attributes object
    • id string(uuid)

      Time spent unique identifier

    • person_id string(uuid)

      Person identifier

    • task_id string(uuid)

      Task identifier

    • date string(date)

      Date of time spent

    • duration number

      Duration in seconds

    • created_at string(date-time)

      Creation timestamp

    • updated_at string(date-time)

      Last update timestamp

GET /data/user/tasks/{task_id}/time-spents/{date}
curl -X GET "http://api.example.com/data/user/tasks/a24a6ea4-ce75-4665-a070-57453082c25/time-spents/2023-01-01" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/user/tasks/a24a6ea4-ce75-4665-a070-57453082c25/time-spents/2023-01-01"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
curl \
 --request GET 'http://api.example.com/data/user/tasks/a24a6ea4-ce75-4665-a070-57453082c25/time-spents/2023-01-01' \
 --header "Authorization: $API_KEY"
Response examples (200)
{
  "id": "b35b7fb5-df86-5776-b181-68564193d36",
  "person_id": "c46c8gc6-eg97-6887-c292-79675204e47",
  "task_id": "d57d9hd7-fh08-7998-d403-80786315f58",
  "date": "2023-01-01",
  "duration": 3600,
  "created_at": "2023-01-01T12:00:00Z",
  "updated_at": "2023-01-01T12:30:00Z"
}